/*
* @Author: Amalvy Arthur
 */

package commands

import (
	"log"

	"../shared"
	tb "gopkg.in/tucnak/telebot.v2"
)

func Save(m *tb.Message) {
	if m.ReplyTo == nil {
		shared.Bot.Send(m.Chat, "Please reply to a message to save it")
		return
	}

	defer shared.Bot.Send(m.Chat, "Message sauvegardé : "+m.ReplyTo.Text)
	savedMessages, exists := shared.ChatData.Get(m.Chat.ID, "saved_messages")
	if !exists {
		log.Println("no messages yet")
		messageList := []string{m.ReplyTo.Text}
		shared.ChatData.Set(m.Chat.ID, "saved_messages", messageList)
		return
	}
	log.Println(append(savedMessages.([]string), m.ReplyTo.Text))
	shared.ChatData.Set(m.Chat.ID, "saved_messages",
		append(savedMessages.([]string), m.ReplyTo.Text))
}

func GetSaved(m *tb.Message) {
	if _, exists := shared.ChatData.Get(m.Chat.ID, "saved_messages"); !exists {
		shared.Bot.Send(m.Chat, "Aucun message sauvegardé")
	}
	shared.Bot.Send(m.Chat, "Some messages exists")
	savedMessages, _ := shared.ChatData.Get(m.Chat.ID, "saved_messages")
	for _, message := range savedMessages.([]string) {
		shared.Bot.Send(m.Chat, "message : "+message)
	}
}
